Bug 532621 - grace and mouse focus problems
grace and mouse focus problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 00:00 EST by Jussi Eloranta
Modified: 2010-11-19 14:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 14:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2009-11-03 00:00:42 EST
Description of problem:

Right clicking on several menu areas in xmgrace cause the mouse focus
to be permanently fixed within that window. One has to login from the ascii
console to kill xmgrace to release the mouse.

Version-Release number of selected component (if applicable):

grace-5.1.22-5.fc12.i686


How reproducible:


Steps to Reproduce:
1. Start xmgrace
2. Choose, for example, Edit->Data Sets
3. Do right click on "Data sets:" area where the list of datasets normally is.
4. You will be stuck with the mouse pointer restricted inside the data sets subwindow.
  

This bug makes the use of xmgrace very difficult.
Comment 1 Jussi Eloranta 2009-11-03 15:07:19 EST
One more bit of detail which makes suggests that this is not actually an xmgrace bug but something else. I ran xmgrace (remote connection) from an older fedora 10
machine, where xmgrace works just fine from the local console, to FC12 beta machine. It revealed the same symptoms as above. So this is probably a problem in the X server?
Comment 2 Bug Zapper 2009-11-16 09:57:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Vladimir Florinski 2009-12-01 14:20:41 EST
I confirm the bug. Seems like a lesstif issue.
Comment 4 Jason Grunhut 2010-01-07 11:18:43 EST
I confirm this bug too with the most recent grace (5.1.22-6). I can also confirm that this same bug exists with an older version of grace which uses the openmotif libraries, with a symlink from libXm.so.4 -> libXm.so.3.
Comment 5 Pascal Viot 2010-01-12 15:28:33 EST
This bug is very annoying and does not depend on the window manager. 
It appears on KDE ot gnome.
Comment 6 José Matos 2010-01-12 16:22:23 EST
This bug seems to be a motif bug. It does not depend on that fact that we are using lesstif or openmotif.


https://bugzilla.redhat.com/show_bug.cgi?id=543647
Comment 7 Pascal Viot 2010-01-15 10:17:05 EST
I found a very simple workaround. Instead of doing right click where the mouse pointer is definitely stuck, press the shift button and do the click click in the same time.
It seems suficient to do that once  on a menu area when xmgrace is open; but if you close and restart xmgrace, you need to use the shift button. If not, ascii console again.
May be this workaround can help to find the bug?
Comment 8 Jason Grunhut 2010-01-15 10:40:46 EST
I confirm that this workaround works! In my experience, I simply hold the shift button down as I perform the right click. As far as I know, it functions exactly the same as performing a simple right click, but at least now the menu appears and the mouse is no longer locked.

Thanks for the suggestion!
Comment 9 Alexei Podtelezhnikov 2010-01-28 14:42:09 EST
I confirm adding another LessTif developer who may hopefully care.
Comment 10 Pascal Viot 2010-03-12 03:19:36 EST
The last update of Fedora 12 suppresses this bug. It is likely related to
some changes in xorg-x11-server-common), but I am not sure. Anyway, xmgrace works
without any workaround!
Comment 11 Bug Zapper 2010-11-04 02:51:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 José Matos 2010-11-19 13:54:01 EST
Is this still a problem for F13 or F14?
Comment 13 Jussi Eloranta 2010-11-19 13:58:59 EST
I don't think so - it got fixed sometime in F13.
Comment 14 José Matos 2010-11-19 14:41:51 EST
(In reply to comment #13)
> I don't think so - it got fixed sometime in F13.

Thanks. I think that this bug can now be safely closed.

Note You need to log in before you can comment on or make changes to this bug.